import { ARMOR_SETS, hasSet, safeAddEffect, setTag, E } from "./armors_index.js";

export function glimmeriteSet(player, eqIds) {
  const glimmerite = hasSet(eqIds, ARMOR_SETS.glimmerite);
  setTag(player, "glimmerite_armor", glimmerite);

  if (!glimmerite) return;

  safeAddEffect(player, E.resistance, 3);
  safeAddEffect(player, E.slowness, 0);
  safeAddEffect(player, E.miningFatigue, 0);
}
